<?php
include_once '../sys/inc/start.php';
$doc = new document(2);
$doc->title = 'Удаление сообщения';

if (!isset($_GET['id']) || !is_numeric($_GET['id']))
{
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=./');
$doc->err('Ошибка выбора сообщения');
exit;
}
$id_message=(int)$_GET['id'];

$q=mysql_query("SELECT * FROM `chat_mini` WHERE `id` = '$id_message' LIMIT 1");

if (!mysql_num_rows($q))
{
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=./');
$doc->err('Сообщение не найдено');
exit;
}

$message=mysql_fetch_assoc($q);


mysql_query("DELETE FROM `chat_mini` WHERE `id` = '$id_message' LIMIT 1");
$doc->msg('Сообщение успешно удалено');



if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=./?'.SID);
if (isset($_GET['return']))$doc->ret('Вернуться',for_value($_GET['return']));else $doc->ret('Вернуться','./');
?>